"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const tslib_1 = require("tslib");
const cac_1 = require("cac");
const promises_1 = tslib_1.__importDefault(require("fs/promises"));
const path_1 = tslib_1.__importDefault(require("path"));
const cli = (0, cac_1.cac)('guru-cli');
async function loadCommands() {
    let files = await promises_1.default.readdir(path_1.default.resolve(__dirname, 'commands'));
    files = files.filter((file) => !file.includes('.d.ts'));
    const commands = await Promise.all(files.map(async (file) => await Promise.resolve().then(() => tslib_1.__importStar(require(path_1.default.resolve(__dirname, 'commands/', file))))));
    for (const { default: command } of commands) {
        await command(cli);
    }
}
async function run() {
    await loadCommands();
    cli.command('[...default]', 'display help if no command given')
        .usage('--help')
        .action(cli.outputHelp);
    cli.help();
    cli.parse();
}
exports.run = run;
if (require.main === module) {
    run().catch(console.error);
}
