"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const config_1 = tslib_1.__importDefault(require("../config"));
const guru_1 = require("../lib/guru");
exports.default = async (cli) => {
    cli.command('login', 'login and save credentials for guru cli').action(async () => {
        config_1.default.clear();
        console.log('Login to Guru API\n------------------------');
        const email = await cli_ux_1.default.prompt('Guru Admin Email');
        const token = await cli_ux_1.default.prompt('Admin API Token');
        const g = new guru_1.Guru({
            email,
            token,
        });
        const checkAuth = await g.authenticated();
        if (!checkAuth.authenticated) {
            console.log(checkAuth.message);
            return;
        }
        config_1.default.set({
            auth: {
                email,
                token,
            },
        });
        console.log('✅ Successfully authenticated to Guru API. You can now run guru-cli commands.');
    });
};
